Skip to main content
GET
/
project-revenue-adjustments
/
{id}
Get a project revenue adjustment
curl --request GET \
  --url https://www.ruddr.io/api/workspace/project-revenue-adjustments/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.ruddr.io/api/workspace/project-revenue-adjustments/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.ruddr.io/api/workspace/project-revenue-adjustments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "d1dee101-6d4b-4a26-bc0f-8508b22b3b85",
  "date": "2026-02-10",
  "revenueType": "other_items",
  "amount": 900,
  "notes": "Reimbursable rebill",
  "createdAt": "2026-02-10T08:15:42.731Z",
  "project": {
    "id": "060a0758-a538-4523-a6ad-989e50e3cb82",
    "name": "Platform Migration",
    "client": {
      "id": "212477bf-4473-42c3-bebc-885a1225c12d",
      "name": "Initech"
    }
  }
}
{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}
{
"status": 404,
"message": "Object with id '26a1408f-fd04-46bd-a663-c9fc083878bb' not found."
}
Manual positive or negative adjustments to a project’s earned revenue. They affect earned revenue only and never change invoiced revenue. Available on billable projects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The project revenue adjustment uuid.

Response

200

id
string

The unique identifier for the object.

date
string<date>

The date of the adjustment. Will be in the form YYYY-MM-DD.

revenueType
enum<string>

The category of earned revenue this adjustment applies to.

Available options:
services,
expenses,
products,
other_items
amount
number

The adjustment amount. Positive values increase earned revenue and negative values decrease it.

notes
string | null

Any notes about the adjustment.

createdAt
string<date-time>

The timestamp when the object was created.

project
object

The project this adjustment belongs to.